Bug 1103047 - CVE-2014-3466 mingw-gnutls: gnutls: insufficient session id length check in _gnutls_read_server_hello (GNUTLS-SA-2014-3) [fedora-all]
Summary: CVE-2014-3466 mingw-gnutls: gnutls: insufficient session id length check in _...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw-gnutls (Show other bugs)
(Show other bugs)
Version: 20
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2014-3466
TreeView+ depends on / blocked
 
Reported: 2014-05-30 06:56 UTC by Tomas Hoger
Modified: 2014-06-10 03:11 UTC (History)
3 users (show)

Fixed In Version: mingw-gnutls-3.1.25-1.fc20
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-10 03:08:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tomas Hoger 2014-05-30 06:56:40 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, use the bodhi submission link noted
in the next comment(s).  This will include the bug IDs of this tracking
bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Tomas Hoger 2014-05-30 06:56:50 UTC
Use the following update submission link to create the Bodhi request for
this issue as it contains the top-level parent bug(s) as well as this
tracking bug.  This will ensure that all associated bugs get updated when
new packages are pushed to stable.

IMPORTANT: ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1101932,1103047

Comment 2 Fedora Update System 2014-05-31 23:15:23 UTC
mingw-gnutls-3.1.25-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mingw-gnutls-3.1.25-1.fc20

Comment 3 Fedora Update System 2014-05-31 23:17:01 UTC
mingw-gnutls-3.1.25-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-gnutls-3.1.25-1.fc19

Comment 4 Fedora Update System 2014-06-01 22:22:34 UTC
Package mingw-gnutls-3.1.25-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-gnutls-3.1.25-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6953/mingw-gnutls-3.1.25-1.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-06-10 03:08:13 UTC
mingw-gnutls-3.1.25-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-06-10 03:11:34 UTC
mingw-gnutls-3.1.25-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.